import argparse
import sys

import transaction
from pyramid.scripts.common import parse_vars
from pyramid.paster import bootstrap, setup_logging, get_appsettings
from sqlalchemy.exc import OperationalError


from .. import models
from ..models import(
    get_engine,
    get_session_factory,
    get_tm_session,
    )


def main(argv=sys.argv):
    if len(argv) < 2:
        usage(argv)
    config_uri = argv[1]
    options = parse_vars(argv[2:])
    setup_logging(config_uri)
    settings = get_appsettings(config_uri, options=options)

    engine = get_engine(settings)

    models.meta.Base.metadata.create_all(engine)

    session_factory = get_session_factory(engine)

    with transaction.manager:
        dbsession = get_tm_session(session_factory, transaction.manager)

        import datetime
        model = models.allmodels.Invitation(email='fangebault+test@easter-eggs.com', token=42, expire=datetime.datetime.now())
        dbsession.add(model)
